
From: Jeff Dike <jdike@addtoit.com>

Finish using va_list correctly, by calling va_end.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/signal_user.c |    1 +
 25-akpm/arch/um/kernel/tt/tracer.c   |    1 +
 2 files changed, 2 insertions(+)

diff -puN arch/um/kernel/signal_user.c~uml-use-va_end-wherever-va_args-are-used arch/um/kernel/signal_user.c
--- 25/arch/um/kernel/signal_user.c~uml-use-va_end-wherever-va_args-are-used	2005-01-09 23:44:01.112994288 -0800
+++ 25-akpm/arch/um/kernel/signal_user.c	2005-01-09 23:44:01.117993528 -0800
@@ -41,6 +41,7 @@ void set_handler(int sig, void (*handler
 	while((mask = va_arg(ap, int)) != -1){
 		sigaddset(&action.sa_mask, mask);
 	}
+	va_end(ap);
 	action.sa_flags = flags;
 	action.sa_restorer = NULL;
 	if(sigaction(sig, &action, NULL) < 0)
diff -puN arch/um/kernel/tt/tracer.c~uml-use-va_end-wherever-va_args-are-used arch/um/kernel/tt/tracer.c
--- 25/arch/um/kernel/tt/tracer.c~uml-use-va_end-wherever-va_args-are-used	2005-01-09 23:44:01.114993984 -0800
+++ 25-akpm/arch/um/kernel/tt/tracer.c	2005-01-09 23:44:01.118993376 -0800
@@ -84,6 +84,7 @@ void tracer_panic(char *format, ...)
 
 	va_start(ap, format);
 	vprintf(format, ap);
+	va_end(ap);
 	printf("\n");
 	while(1) pause();
 }
_
